Subject: HTTP/2.0 issue: magic method registration

From: Amos Jeffries <[email-masked]>
Date: Thu, 22 Aug 2013 16:23:11 +1200

When processed by an HTTP/1 server the HTTP/2 magic string intentionally 
appears to be a valid request-line with method "PRI".

I am thinking this method needs a registration in the registry created 
by HTTPbis 1.1 documents. That will allow preventing its use in any 
situations other than HTTP/2.0 setup and help point out to implementers 
that they may need to handle it differently to other extension methods 
(silent pass-thru or reject but no fancy "fixing missing headers").

Amos

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 22 Aug 2013 10:27:09 +0100

On 22/08/2013 05:23, Amos Jeffries wrote:
> When processed by an HTTP/1 server the HTTP/2 magic string 
> intentionally appears to be a valid request-line with method "PRI".
>
> situations other than HTTP/2.0 setup and help point out to 
> implementers that they may need to handle it differently to other 
> extension methods (silent pass-thru or reject but no fancy "fixing 
> missing headers").
+1.